Subject: Aleck Dadson Exit Interview and Workload Allocation
From: [email-masked]
To: [email-masked], [email-masked], [email-masked], [email-masked]
Cc: [email-masked], [email-masked]
Date: Tue, 25 Sep 2001 06:23:48 -0700 (PDT)

Attached please find a memo with respect to the departure of Aleck Dadson.